Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath.ri.model.dom
Class DOMAttributePointer

    java.lang.Object
      |
      +--org.apache.commons.jxpath.ri.model.NodePointer
            |
            +--org.apache.commons.jxpath.ri.model.dom.DOMAttributePointer

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Pointer, java.io.Serializable

public class DOMAttributePointer
extends NodePointer

A Pointer that points to a DOM node.

Version:
  $Revision: 1.11 $ $Date: 2003/03/11 00:59:27 $
Author:
  Dmitri Plotnikov
See Also:
  Serialized Form

Fields inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`index, locale, parent, UNKNOWN_NAMESPACE, WHOLE_COLLECTION`

Constructor Summary
`DOMAttributePointer(NodePointer parent, org.w3c.dom.Attr attr)`

Method Summary
`java.lang.String` | `asPath()` Returns an XPath that maps to this Pointer.
`int` | `compareChildNodePointers(NodePointer pointer1, NodePointer pointer2)` Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
`boolean` | `equals(java.lang.Object object)`
`java.lang.Object` | `getBaseValue()` Returns the value represented by the pointer before indexing.
`QName` | `getExpandedName()` Returns a name that consists of the namespaceURI and the local name of the node.
`java.lang.Object` | `getImmediateNode()` Returns the object the pointer points to; does not convert it to a "canonical" type.
`int` | `getLength()` If the pointer represents a collection (or collection element), returns the length of the collection.
`QName` | `getName()` Returns the name of this node.
`java.lang.String` | `getNamespaceURI()` Returns the namespace URI associated with this Pointer.
`int` | `hashCode()`
`boolean` | `isActual()` An actual pointer points to an existing part of an object graph, even if it is null.
`boolean` | `isCollection()` Returns `true` if the value of the pointer is an array or a Collection.
`boolean` | `isLeaf()` If true, this node does not have children
`void` | `remove()` Remove the node of the object graph this pointer points to.
`void` | `setValue(java.lang.Object value)` Sets the value of this attribute.
`boolean` | `testNode(NodeTest nodeTest)` Checks if this Pointer matches the supplied NodeTest.

Methods inherited from class org.apache.commons.jxpath.ri.model.NodePointer
`attributeIterator, childIterator, clone, compareTo, createAttribute, createChild, createChild, createPath, createPath, getDefaultNamespaceURI, getImmediateValuePointer, getIndex, getLocale, getNamespaceURI, getNode, getNodeValue, getParent, getPointerByID, getPointerByKey, getRootNode, getValue, getValuePointer, isAttribute, isContainer, isDefaultNamespace, isLanguage, isNode, isRoot, namespaceIterator, namespacePointer, newChildNodePointer, newNodePointer, printPointerChain, setAttribute, setIndex, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DOMAttributePointer

    public DOMAttributePointer(NodePointer parent,
                               org.w3c.dom.Attr attr)

Method Detail

### getName

    public QName getName()

  Description copied from class: `NodePointer`
  Returns the name of this node. Can be null.
  Overrides:
    `getName` in class `NodePointer`

### getExpandedName

    public QName getExpandedName()

  Description copied from class: `NodePointer`
  Returns a name that consists of the namespaceURI and the local name of the node. For non-XML pointers, returns the Pointer's qualified name.
  Overrides:
    `getExpandedName` in class `NodePointer`

### getNamespaceURI

    public java.lang.String getNamespaceURI()

  Description copied from class: `NodePointer`
  Returns the namespace URI associated with this Pointer.
  Overrides:
    `getNamespaceURI` in class `NodePointer`

### getBaseValue

    public java.lang.Object getBaseValue()

  Description copied from class: `NodePointer`
  Returns the value represented by the pointer before indexing. So, if the node represents an element of a collection, this method returns the collection itself.
  Overrides:
    `getBaseValue` in class `NodePointer`

### isCollection

    public boolean isCollection()

  Description copied from class: `NodePointer`
  Returns `true` if the value of the pointer is an array or a Collection.
  Overrides:
    `isCollection` in class `NodePointer`

### getLength

    public int getLength()

  Description copied from class: `NodePointer`
  If the pointer represents a collection (or collection element), returns the length of the collection. Otherwise returns 1 (even if the value is null).
  Overrides:
    `getLength` in class `NodePointer`

### getImmediateNode

    public java.lang.Object getImmediateNode()

  Description copied from class: `NodePointer`
  Returns the object the pointer points to; does not convert it to a "canonical" type.
  Overrides:
    `getImmediateNode` in class `NodePointer`

### isActual

    public boolean isActual()

  Description copied from class: `NodePointer`
  An actual pointer points to an existing part of an object graph, even if it is null. A non-actual pointer represents a part that does not exist at all. For instance consider the pointer "/address/street". If both address and street are not null, the pointer is actual. If address is not null, but street is null, the pointer is still actual. If address is null, the pointer is not actual. (In JavaBeans) if address is not a property of the root bean, a Pointer for this path cannot be obtained at all - actual or otherwise.
  Overrides:
    `isActual` in class `NodePointer`

### isLeaf

    public boolean isLeaf()

  Description copied from class: `NodePointer`
  If true, this node does not have children
  Overrides:
    `isLeaf` in class `NodePointer`

### testNode

    public boolean testNode(NodeTest nodeTest)

  Description copied from class: `NodePointer`
  Checks if this Pointer matches the supplied NodeTest.
  Overrides:
    `testNode` in class `NodePointer`

### setValue

    public void setValue(java.lang.Object value)

  Sets the value of this attribute.
  Overrides:
    `setValue` in class `NodePointer`

### remove

    public void remove()

  Description copied from class: `NodePointer`
  Remove the node of the object graph this pointer points to.
  Overrides:
    `remove` in class `NodePointer`

### asPath

    public java.lang.String asPath()

  Description copied from class: `NodePointer`
  Returns an XPath that maps to this Pointer.
  Overrides:
    `asPath` in class `NodePointer`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object object)

  Overrides:
    `equals` in class `java.lang.Object`

### compareChildNodePointers

    public int compareChildNodePointers(NodePointer pointer1,
                                        NodePointer pointer2)

  Description copied from class: `NodePointer`
  Compares two child NodePointers and returns a positive number, zero or a positive number according to the order of the pointers.
  Overrides:
    `compareChildNodePointers` in class `NodePointer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Apache Software Foundation. All Rights Reserved.